(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    return {
        IHttpClientConfig: require("./index"),
        HttpClient: require("./lib/http/http-client"),
        BackendProxy: require("./lib/http/backend-proxy")
    };
});
//# sourceMappingURL=index.js.map